# Filter.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/LoggingEvent.hh>`

Include dependency graph for Filter.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::Filter
| Users should extend this class to implement customized logging event filtering. More...